MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0024878Open CASCADE[OCCT] OCCT:Visualizationpublic2014-04-28 17:122014-05-16 15:13
Reporterdbp 
Assigned Todbp 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target Version[OCCT] 6.7.1Fixed in Version[OCCT] 6.7.1 
Summary0024878: Ray-tracing mode does not work in IE Sample
DescriptionWhen VBO is used, ray-tracing mode does not work in IE Sample.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships

-  Notes
(0029109)
dbp (developer)
2014-04-28 18:31

Dear kgv,

please check the fix in branch CR24878.
(0029110)
kgv (developer)
2014-04-28 18:57

Please test the patch for OCCT671 beta.
(0029112)
dbp (developer)
2014-04-28 19:14

Dear kgv,

please review modified patch in branch CR24878.
(0029114)
kgv (developer)
2014-04-28 19:30

Please test.
(0029320)
apn (administrator)
2014-05-14 14:38

Dear BugMaster,

Branch CR24878 (and products from GIT master) was compiled on Linux, Windows and MacOS platforms and tested.
SHA-1: 38391c10a36563cd8304892972331605a3938e57

Number of compiler warnings:

occt component :
Linux: 31 (17 on master 6.8.0)
Windows: 0 (0 on master)

products component :
Linux: 11 (11 on master)
Windows: 2 (2 on master)

Regressions/Differences:
No regressions

Testing cases:
Not needed

Testing on Linux:
Total MEMORY difference: 396892160 / 398472992
Total CPU difference: 57732.64000000014 / 52878.27999999996

Testing on Windows:
Total MEMORY difference: 438221564 / 438787376
Total CPU difference: 43406.875 / 35514.828125

There are no differences in images found by testdiff.

Ray-tracing works properly in QT Products samples (Parasolid, ACIS, etc) with enabled VBO.

- Issue History
Date Modified Username Field Change
2014-04-28 17:12 dbp New Issue
2014-04-28 17:12 dbp Assigned To => dbp
2014-04-28 18:31 dbp Note Added: 0029109
2014-04-28 18:31 dbp Assigned To dbp => kgv
2014-04-28 18:31 dbp Status new => resolved
2014-04-28 18:57 kgv Note Added: 0029110
2014-04-28 18:57 kgv Assigned To kgv => bugmaster
2014-04-28 18:57 kgv Status resolved => reviewed
2014-04-28 18:57 dbp Assigned To bugmaster => dbp
2014-04-28 18:57 dbp Status reviewed => assigned
2014-04-28 19:14 dbp Note Added: 0029112
2014-04-28 19:14 dbp Assigned To dbp => kgv
2014-04-28 19:14 dbp Status assigned => resolved
2014-04-28 19:30 kgv Note Added: 0029114
2014-04-28 19:30 kgv Assigned To kgv => bugmaster
2014-04-28 19:30 kgv Status resolved => reviewed
2014-04-28 20:43 mkv Assigned To bugmaster => mkv
2014-05-08 18:47 mkv Assigned To mkv => apn
2014-05-14 14:38 apn Note Added: 0029320
2014-05-14 14:39 apn Test case number => Not needed
2014-05-14 14:39 apn Assigned To apn => bugmaster
2014-05-14 14:39 apn Status reviewed => tested
2014-05-16 15:13 bugmaster Status tested => closed
2014-05-16 15:13 bugmaster Assigned To bugmaster => dbp
2014-05-16 15:13 bugmaster Resolution open => fixed
2014-05-16 15:13 bugmaster Fixed in Version => 6.7.1


Copyright © 2000 - 2020 MantisBT Team
Powered by Mantis Bugtracker